
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>利用z/OS工具识别WebSphere Application Server的CPU资源使用情况 / iVAN</title>

    <meta name="description" content="利用z/OS工具识别WebSphere Application Server的CPU资源使用情况 本文将展示如何利用 z/OS® 工具识别各个 WebSphere Application Server 应用程序的 CPU 资源使用情况. IBM WebSphere Application Server 环境常常托管着多个不同类型的企业应用程序,它们受不同的 Java EE 技术支持.这些应用程序通常会并发运行,每个都会消耗与它们执行的工作相对应的系统资源,比如 CPU 周期和内存.在性能测试和生产使用期间,查看每个应用程序(而不是仅查看整个应用服务器)消耗的资源常常很有用. 有许多工具可用于">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">利用z/OS工具识别WebSphere Application Server的CPU资源使用情况</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文将展示如何利用 z/OS&reg; 工具识别各个<br />
WebSphere Application Server 应用程序的 CPU 资源使用情况。</p>
<p>IBM WebSphere Application Server 环境常常托管着多个不同类型的企业应用程序，它们受不同的 Java EE 技术支持。这些应用程序通常会并发运行，每个都会消耗与它们执行的工作相对应的系统资源，比如 CPU 周期和内存。在性能测试和生产使用期间，查看每个应用程序（而不是仅查看整个应用服务器）消耗的资源常常很有用。</p>
<p>有许多工具可用于监视 WebSphere Application Server 内的性能统计信息。一个基本示例是 WebSphere Application Server Performance Monitoring Infrastructure (PMI)。它使您能够监视线程池和连接池等关键区域，这些区域可提供哪些应用程序在消耗 CPU 资源的迹象，尤其在只有极少量的应用程序在运行的时候。但是，如果一个服务器中部署且运行着许多应用程序，准确查明哪些应用程序在消耗系统资源可能极具挑战。</p>
<p>在 z/OS 上，Service Management Facility (SMF) 和 Resource Management Facility (RMF) 提供了一些系统工具，可帮助 WebSphere Application Server 系统管理员获取在服务器内运行的各个应用程序的 CPU 使用量的信息。发现的任何 “问题应用程序” 然后可单独调查，以确立性能问题的根本原因。</p>
<p>本文适用于 z/OS 管理员，解释了如何利用 z/OS 分类规则、SMF 和 RMF 报告，查明在 z/OS 上的 WebSphere Application Server V6.x - V8.5 中运行的各个应用程序的 CPU 使用率。</p>
<p>示例环境</p>
<p>出于本文的目的，假设在 z/OS 上的 WebSphere Application Server 中部署了 4 个应用程序，它们具有不同的并发工作负载：</p>
<p>其中两个应用程序是在 Web 容器运行的简单 Web 应用程序。 一个是 Enterprise JavaBean (EJB) 应用程序。 一个使用 WebSphere Application Server Service<br />
Integration Bus (SIB) 的基于消息驱动的 bean (MDB) 的应用程序。<br />
<br />此环境可轻松扩展，以包含您想要的任意多个应用程序。此环境中的应用程序具有非常有限的功能，它们仅在被调用时通过执行数学运算来消耗 CPU 周期，我们选择它们是为了涵盖 3 个主要的 Java EE 技术区域。</p>
<p>分类规则 XML</p>
<p>为了将不同的应用程序分离到将在一个 RMF 报告中显示的不同报告类中，第一步是创建一个分类规则 XML 文档。对于本示例，创建一个名为 zwlm.xml 的 XML 文档（此文档可具有任何名称）来定义每个应用程序的分类规则，并将这些应用程序规则链接到随后在 z/OS 工作负载管理器 (WLM) 中创建的事务类。这如清单 1 所示。</p>
<p>清单 1. 分类规则 XML 文档</p>
<p>&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;&lt;!DOCTYPE Classification SYSTEM &quot;Classification.dtd&quot; &gt;&lt;Classification schema_version=&quot;1.0&quot;&gt; &lt;!-- HTTP Classification Rules --&gt; &lt;InboundClassification type=&quot;http&quot; schema_version=&quot;1.0&quot; default_transaction_class=&quot;TC_1&quot;&gt; &lt;http_classification_info transaction_class=&quot;TC_2&quot; uri=&quot;/MigrateHelloWorldWAR/*&quot; description = &quot;HW1&quot; /&gt; &lt;http_classification_info transaction_class=&quot;TC_3&quot; uri=&quot;/MigrateHelloWorldWAR2/*&quot; description=&quot;HW2&quot; /&gt; &lt;/InboundClassification&gt; &lt;!-- IIOP Classification Rules --&gt; &lt;InboundClassification type=&quot;iiop&quot; schema_version=&quot;1.0&quot; default_transaction_class=&quot;TC_4&quot;&gt; &lt;iiop_classification_info transaction_class=&quot;TC_5&quot; application_name=&quot;TestEJBEAR&quot; module_name=&quot;TestEJB.jar&quot; description=&quot;Sample EJB Classification&quot; /&gt; &lt;/InboundClassification&gt; &lt;!-- MDB Classification Rules --&gt; &lt;SibClassification type=&quot;jmsra&quot; schema_version=&quot;1.0&quot; default_transaction_class=&quot;TC_8&quot;&gt; &lt;sib_classification_info transaction_class=&quot;TC_9&quot; bus=&quot;BUS1&quot; destination=&quot;ASSURE1&quot; description=&quot;SIB MDB&quot; /&gt; &lt;/SibClassification&gt;&lt;/Classification&gt;<br />
<br />可以看到，此文档包含 3 个小节，一个小节对应一个分类规则类型：http 用于 Web 应用程序，iiop 用于 EJB 应用程序，jmsra 用于基于 SIB MDB 的应用程序。为 default_transaction_class 字段分配的值将用作该工作类型的默认值。对于更具体的 HTTP 分类规则，uri 字段包含部署的 WAR 的上下文根。例如值：</p>
<p>uri=&quot;/MigrateHelloWorldWAR/*&quot;</p>
<p>可确保只要使用该上下文根，就会调用事务类 TC_2，比如：</p>
<p>http://myserver.hursley.ibm.com:9080/MigrateHelloWorldWAR/MyServlet?TIME=10000</p>
<p>对于 IIOP (EJB) 分类规则，必须提供应用程序 (EAR) 名称和模块名称 (JAR)。</p>
<p>对于 SIB MDB 应用程序，提供了 SIB 名称和 MDB “监听” 的目标。通常，各个 MDB 将会监听自己的目标。这意味着很容易确定各个应用程序的 CPU 使用率。</p>
<p>与该 XML 关联的完整 Classification.dtd 如清单 2 所示。</p>
<p>清单 2. 分类规则 DTD 文档</p>
<p>&lt;?xml version='1.0' encoding=&quot;UTF-8&quot;?&gt;&lt;!ELEMENT Classification (InboundClassification|SibClassification)+&gt;&lt;!ATTLIST Classification schema_version CDATA #REQUIRED&gt;&lt;!ELEMENT InboundClassification ((iiop_classification_info* |http_classification_info*|endpoint*))&gt;&lt;!ATTLIST InboundClassification type (iiop|mdb|http) #REQUIRED&gt;&lt;!ATTLIST InboundClassification default_transaction_class CDATA #REQUIRED&gt;&lt;!ATTLIST InboundClassification schema_version CDATA #REQUIRED&gt;&lt;!ELEMENT iiop_classification_info (iiop_classification_info*)&gt;&lt;!ATTLIST iiop_classification_info activity_workload_classification CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info application_name CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info component_name CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info description CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info method_name CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info module_name CDATA #IMPLIED&gt;&lt;!ATTLIST iiop_classification_info transaction_class CDATA #REQUIRED&gt;&lt;!ELEMENT endpoint (classificationentry*)&gt;&lt;!ATTLIST endpoint defaultclassification CDATA #REQUIRED&gt;&lt;!ATTLIST endpoint name CDATA #REQUIRED&gt;&lt;!ATTLIST endpoint type (messagelistenerport) #REQUIRED&gt;&lt;!ATTLIST endpoint description CDATA #IMPLIED&gt;&lt;!ELEMENT classificationentry EMPTY&gt;&lt;!ATTLIST classificationentry classification CDATA #REQUIRED&gt;&lt;!ATTLIST classificationentry selector CDATA #REQUIRED&gt;&lt;!ATTLIST classificationentry description CDATA #IMPLIED&gt;&lt;!ELEMENT http_classification_info (http_classification_info*)&gt;&lt;!ATTLIST http_classification_info host CDATA #IMPLIED&gt;&lt;!ATTLIST http_classification_info port CDATA #IMPLIED&gt;&lt;!ATTLIST http_classification_info uri CDATA #IMPLIED&gt;&lt;!ATTLIST http_classification_info description CDATA #IMPLIED&gt;&lt;!ATTLIST http_classification_info transaction_class CDATA #REQUIRED&gt;&lt;!ELEMENT SibClassification (sib_classification_info+)&gt;&lt;!ATTLIST SibClassification type (jmsra|destinationmediation) #REQUIRED&gt;&lt;!ATTLIST SibClassification default_transaction_class CDATA #REQUIRED&gt;&lt;!ATTLIST SibClassification schema_version CDATA #REQUIRED&gt;&lt;!ELEMENT sib_classification_info EMPTY&gt;&lt;!ATTLIST sib_classification_info transaction_class CDATA #REQUIRED&gt;&lt;!ATTLIST sib_classification_info selector CDATA #IMPLIED&gt;&lt;!ATTLIST sib_classification_info bus CDATA #IMPLIED&gt;&lt;!ATTLIST sib_classification_info destination CDATA #IMPLIED&gt;&lt;!ATTLIST sib_classification_info discriminator CDATA #IMPLIED&gt;&lt;!ATTLIST sib_classification_info description CDATA #IMPLIED&gt;<br />
<br />在 HFS 文件系统上相关的应用服务器配置文件中创建一个名为 /classification 的目录，这很容易。DTD 和 XML 都上传（例如通过 FTP 以二进制形式）到此位置。</p>
<p>定义了一个名为 wlm_classification_file 的 WebSphere Application Server 环境变量来引用分类规则 XML 文档。此变量可在单元、节点或服务级别上设置。如果指定了单元或节点级别，其中包含的信息必须可供从该单元或节点继承了规范的所有服务器访问和应用。</p>
<p>在管理控制台中，导航到 Environment &gt; WebSphere variables &gt; New。新变量的名称被定义为 wlm_classification_file，值类似于（举例而言）/WebSphere/Base/AppServer/profiles/default/classification/zwlm.xml（参见图 1）。</p>
<p>图 1. 设置 wlm_classification_file 环境变量</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:40:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/application/" title="application">application</a>, <a href="https://www.iamivan.net/tag/websphere/" title="websphere">websphere</a>, <a href="https://www.iamivan.net/tag/cpu%e8%b5%84%e6%ba%90/" title="CPU资源">CPU资源</a>, <a href="https://www.iamivan.net/tag/z-os%e5%b7%a5%e5%85%b7/" title="z&sol;OS工具">z&sol;OS工具</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>利用z/OS工具识别WebSphere Application Server的CPU资源使用情况的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze498jp.html" rel="bookmark">在WebSphere Application Server V6&period;1应用程序中跟踪死锁</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				学习如何使用 IBM WebSphere Application Server V6.1 中的线程转储工具了解您的系统环境,检查是否发生死锁以及提取信息来帮助避免或解决自己应用程序的死锁情况. 引言 当两个或多个线程彼此形成循环依赖关系时,就出现了死锁.例如,如果线程 A 处于等待线程 B 的等待状态,而同时线程 B 处于等待线程 A 的等待状态,则出现了死锁.一旦形成此情况,线程 A 和线程 B 都不能有任何进展,因为这两个线程现在都无限期地挂起了.为什么会有人创建这种系统?当然,您并不会有意			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balLVQz.html" rel="bookmark">利用WebSphere Application Server for z&sol;OS中面向目标的工作负载管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				除了在 IBM System z 平台之上提供一流的 J2EE 应用程序运行时以外,IBM WebSphere Application Server for z/OS 还经过了优化,以利用作为当今企业 SOA 环境中的核心引擎的 System z 的独特技术优势.WebSphere Application Server for z/OS 的最重要独特功能之一是面向目标的工作负载管理功能. 引言 运行在 z/OS 上的 J2EE 服务器由多个地址空间或进程实现.存在一个控制区域.至少一个服务区域,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AkDWp.html" rel="bookmark">利用Rational Build Forge对基于WebSphere Application Server的应用进行自动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用Rational Build Forge对基于WebSphere Application Server的应用进行自动化构建 IBM Rational Build Forge(RBF)是基于 Client/Server 模式的流程执行框架,提供了任务调度以 及自定义运行步骤等功能.本文将描述如何使用 RBF 来自动化构建基于 WebSphere Application Server (WAS)的应用,并详细介绍涉及到的 RBF 各功能模块.通过本文,您也可以了解关于 Ant 和 WebSphe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK74V7b.html" rel="bookmark">通过WebSphere Application Server V6&period;1利用OpenJPA</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 EJB 3.0 规范对 EJB 编程模型进行了重大的(有人说是必要的)改造.整个 EJB 编程模型集中于带注释的普通 Java 对象(plain old Java object,POJO)的使用,与过去的 EJB 规范具有根本性的区别.这个新编程模型得到大量关注的一个方面是持久性体系结构.本文通过一个完整的示例来介绍这个新的 Java Persistence API,该示例演示了现在如何通过 WebSphere Application Server V6.1 来利用该 API 的部分功能.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Rv8lb.html" rel="bookmark">利用Request Metrics进行WebSphere Application Server性能问题诊断</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将向您介绍,如果通过 request metrics 来对 WAS 进行性能问题的诊断. Request Metrics 是从 http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Application Server (以下简称 WAS)V6 引入的特性,可以帮助您监控 WAS 的性能,它会记录每一个交易在经由某一 WAS 组件时的处理时间,通过这些数据可以判断 WAS 的性能,并可能发现性能瓶颈. 与 WAS P			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw3E9z.html" rel="bookmark">WebSphere Application Server V7、V8 和 V8&period;5 中的高级安全性加强 一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简介 IBM WebSphere Application Server 的安全性在每个版本中都有所改进.除了在新版本中增加了一些新功能之外,我们还不断增强产品的默认安全性.我们通过改进默认设置不断提高满足默认安全性这一关键原则的程度.本文的前一个版本 主要关注 WebSphere Application Server V6 和那个版本所需的加强步骤.在后续 WebSphere Application Server 版本中,显著减少了加强步骤的数量,更重要的是,保留的大多数步骤变得不那么关键了.那			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2ryZp.html" rel="bookmark">WebSphere Application Server 中现代化的基于 Java 的批处理（四）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与企业调度程序相集成 简介 IBM WebSphere Application Server V8.5 和更高版本为基于 Java 的批处理应用程序提供了一个执行平台.除了提供功能丰富的编程模型和高级特性,比如并行处理.跳过记录处理.重试步骤处理和 COBOL 支持,它还为批处理程序提供了企业级 &quot;质量&quot;,比如可用性.可恢复性和性能.与 WebSphere Application Server 支持相结合,WebSphere Batch 可成为一个富有吸引力的企业批处理解决方案选择.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7XAZb.html" rel="bookmark">WebSphere Application Server中现代化的基于 Java 的批处理（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				企业批处理 简介 IBM WebSphere Application Server V8 为批处理添加了一个新容器,为基于 Java EE 的批处理应用程序的执行提供了一个环境.这个新的批容器提供了全面的功能,使它非常适合用作企业批处理基础架构提供程序.WebSphere Application Server V7 中提供的 Modern Batch 功能包开了一个好头,提供了一致的编程模型和工具,但不包含企业环境中需要的高级批处理功能.WebSphere Application Server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7LKdb.html" rel="bookmark">用Profile Port Checker解决WebSphere Application Server端口冲突问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 在客户使用 WebSphere Application Server 时可能遇到这样的问题,同一台物理主机上的一 个 server 工作正常,而另一个 server 却不能正常启动,这可能是因为多个 server 间端口冲突引起的. Profile Port Checker 是 IBM 提供的一款免费的工具,用于提供冲突端口检测的服务.本文将详细介绍 Profile Port Checker 的安装过程,以及各个命令的功能,并利用实例来展示如何使用 Profile Port Checker			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQNJGM.html" rel="bookmark" class="title">html-本人菜鸟一枚，请教大神一个关于CSS中ID和类选择器不能用，而标签选择器能用的问题</a>
					<div>
						问题描述 本人菜鸟一枚,请教大神一个关于CSS中ID和类选择器不能用,而标签选择器能用的问题 FIREFOX浏览器,代码如下: HTML代码片段: &lt;!DOCTYPE html PUBLIC & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvqXab.html" rel="bookmark" class="title">网站页面优化策略</a>
					<div>
						网站的页面优化,也即网页优化是对网页的程序.内容.版块.布局等多方面的优化调整,使其适合搜索引擎检索,满足搜索引擎排名的指标,从而在搜索引擎检索中获得的排名提升,增强搜索引擎营销的效果使网站的产品相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJYLVp.html" rel="bookmark" class="title">图象函数</a>
					<div>
						函数 PHP中有一组图像函数,可以动态生成gif格式的图像数据流并输出到服务器. 为了这组函数能够工作,系统中必须有gd库的支持.如果是在Unix下, 应该在编译PHP之前先取得gd的源码并编译之,生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBqwoz.html" rel="bookmark" class="title">Fireworks 8 寻梦之旅&lpar;7&rpar;&colon;新增图层混合模式详解</a>
					<div>
						详解 上一节:Fireworks 8 寻梦之旅(6):实战操作 五.新增图层混合模式详解 在Fireworks8里面,一个变化最大的地方就是图层混合模式,居然史无前例的提供了总共39种混合模式,相比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnV1Ap.html" rel="bookmark" class="title">跨多数据库</a>
					<div>
						数据|数据库 前几天,公司原本一个一直运行正常ASP查询程序,安装到一个客户那边突然不能运行了.客户使用的数据库是 Informix,服务器是 Windows2000 Professional 简体中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA8q3b.html" rel="bookmark" class="title">The key of C&num; 学习笔记II</a>
					<div>
						笔记 Wednesday, October 13, 2004 浮点数的比较运算 对浮点数进行比较,必须先舍入为相同精度再进行,因其的不精确性. 在需要测试某个float值或double值是否为无穷大或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZjqoz.html" rel="bookmark" class="title">高效率的超大规模Flex开发</a>
					<div>
						Adobe Flex开发与传统的Web开发有很多不同之处.正确的理解和利用这些不同之处,可以帮助我们 创建更丰富的用户体验,也可以反过来增加网站的可用性以及浏览和更新速度.Flex还提供了大量的组 件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R9Dxp.html" rel="bookmark" class="title">C&plus;&plus;中string和string&period;h的作用和区别</a>
					<div>
						#include &lt; string .h &gt; void main() { string aaa = &quot; abcsd d &quot; ; printf( &quot; looki ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyZLxb.html" rel="bookmark" class="title">Java EE 5</a>
					<div>
						简介 Java EE 技术是 Java 语言平台的扩展,支持开发人员创建可伸缩的强大的可移植企业应用程序.它为应用程序组件定义了四种容器:Web.Enterprise JavaBean(EJB).应用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Xdxp.html" rel="bookmark" class="title">Win8安装个性化主题图文教程</a>
					<div>
						我们都知道Windows系统可以安装非常有个性的主题,当我们下载了一个主题包之后,在Win8系统中该如何安装呢?今天,系统之家小编就将介绍如何安装Win8主题. 首先下载一个主题包,然后双击进行安装, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7gO8M.html" rel="bookmark" class="title">没有安装兼容的DVD解码器怎么办</a>
					<div>
						  DVD光驱提示没有安装兼容的解码器怎么办? 我想你的光驱设置了自动读碟播放,而你放入的光碟有的视频格式是你的播放器不支持,所以提示&quot;未安装兼容解码器&quot;,装个全能播放器就可以解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZP8Nb.html" rel="bookmark" class="title">zk  怎么用java 调用前台的js函数</a>
					<div>
						问题描述 zk 怎么用java 调用前台的js函数 单位的项目用的zk框架,今天经理要求在界面中加入echarts图表,我想问下,后台java里怎么把json数据传到前台的js 函数里 解决方案 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42ZJPM.html" rel="bookmark" class="title">Android Studio如何使用快捷键生成get，set，tostring，构造函数</a>
					<div>
						Android studio 自动生成set,get或者生成构造函数,生成toString方法. 有两种方式: 方式一:Code--&gt;Generate 方式二:通过快捷键Alt+Insert 这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEGWmz.html" rel="bookmark" class="title">Android开发中Eclipse报错及对应处理方法总结&lowbar;Android</a>
					<div>
						本文较为详细的总结了Android开发中Eclipse报错及对应处理方法.分享给大家供大家参考,具体如下: 报错1: Conversion to Dalvik format failed with e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ1xOb.html" rel="bookmark" class="title">方法-关于logback如何按等级输出到控制台和保存到日志文件</a>
					<div>
						问题描述 关于logback如何按等级输出到控制台和保存到日志文件 我现在这个项目要把log4j转成用logback,之前在log4j中的分级方法是好用的,结果在写logback的demo测试中不好用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPk3vp.html" rel="bookmark" class="title">手把手教你做下拉列表</a>
					<div>
						&lt;!doctype html&gt; &lt;html lang=&quot;en&quot;&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQA0np.html" rel="bookmark" class="title">HTML 颜色块图标</a>
					<div>
						html颜色块图标醒目大方. 本文详解颜色块图标的CSS实现. 设计界面元素 在把主页面的 html 的元素规定好.主要由四个图标组成.如下: &lt;body&gt; &lt;div class=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAEBOM.html" rel="bookmark" class="title">记录Windows远程登录日志</a>
					<div>
						1.建立一个名为RDPlog.bat的批处理文件,内容为: date /t &gt;&gt;Z:\IIS\RDPlog.txt time /t &gt;&gt;Z:\IIS\RDPlog.txt ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoLZGb.html" rel="bookmark" class="title">android如何获得系统默认相册路径及此路径下所有照片路径</a>
					<div>
						问题描述 android如何获得系统默认相册路径及此路径下所有照片路径 我在做一个云相册的项目,用的是百度云.现在要获得系统默认相册的所有图片路径,在google上搜罗很多,都是把sd卡上所有相册都罗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj11oM.html" rel="bookmark" class="title">怎样从U盘安装kali linux2&period;0？</a>
					<div>
						问题描述 怎样从U盘安装kali linux2.0? kali linux2.0是从官网上下的DVD ISO,用ultraiso以usb hdd方式写入映像,BIOS设置已usb hdd方式启动,之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqR6Wz.html" rel="bookmark" class="title">客服系统Web集成如何设置自定义参数？</a>
					<div>
						问题描述 类似于 环信客服扩展消息 (http://docs.easemob.com/doku.php?id=start:475mobilecs:30msgextension) 的东西? 解决方案 / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR0xRp.html" rel="bookmark" class="title">LoadRunner SQL 2008</a>
					<div>
						1. 下载 JDBC 驱动(sqljdbc4.jar) 2. 在 run-time setting 下的 classpath 把 JDBC 驱动引入 1 /* 2  * LoadRunner Java ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlA2ep.html" rel="bookmark" class="title">请教下有没大师知道android 底层怎么搞个1ms的中断呢</a>
					<div>
						问题描述 请教下有没大师知道android 底层怎么搞个1ms的中断呢 请教下有没大师知道android 底层怎么搞个1ms的中断呢 解决方案 android不是实时操作系统,在没有外部硬件支持的情况 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL3EVp.html" rel="bookmark" class="title">Chinasec移动存储介质管理解决方案</a>
					<div>
						移动存储介质管理 以U盘为代表的移动存储介质的出现和普及,极大方便了数据交换和存储便利性,但是,对于企业来说,移动存储设备小型化.形式多样化和存储量大 的特点,也给文件管理和http://www.al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQByxOM.html" rel="bookmark" class="title">一个关于使用js实现子frame的页面跳转问题</a>
					<div>
						问题描述 TOP 页面时这样的&lt;frameset rows=&quot;97,51,*&quot; cols=&quot;*&quot;&gt;&lt;frame src=&quot;a.htm ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoDNxM.html" rel="bookmark" class="title">BB 签名的问题</a>
					<div>
						问题描述 BlackBerry签名的正式需要购买吗,怎么签名?先在这里提个问题先,然后我自己找资料,如果解决了,就分享给大家,如果有经验的朋友也可以分享下. 解决方案 解决方案二:http://doc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqP66b.html" rel="bookmark" class="title">IntelliJ IDEA 13&period;x 下使用Hibernate &plus; Spring MVC &plus; JBoss 7&period;1&period;1</a>
					<div>
						原文:IntelliJ IDEA 13.x 下使用Hibernate + Spring MVC + JBoss 7.1.1 从2004年开始做.NET到现在.直到最近要做一些JAVA的项目,如果说10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnNX1M.html" rel="bookmark" class="title">海润光伏应对危机无具体方案 董事长因感冒未出席股东大会</a>
					<div>
						海润光伏本周举行的年度股东大会上,有多位投资者从外地赶到海润光伏总部参加会议,希望了解公司将如何应对危机.让他们失望的是公司董事长孟广宝因为感冒并未出席,参与会议的高管对股东提问也没给出明确答复.参会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z94kz.html" rel="bookmark" class="title">jquery&lpar;live&rpar;中File input的change方法只起一次作用的解决办法&lowbar;jquery</a>
					<div>
						错误写法 复制代码 代码如下: $(&quot;#uploadImg&quot;).click(function(){ do something }); 正确写法 复制代码 代码如下: $(&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE4yGp.html" rel="bookmark" class="title">Android开发的UXSS阶段性小结及自动化测试教程</a>
					<div>
						0x00 科普 WebView(网络视图)android中加载显示网页的重要组件,可以将其视为一个浏览器.在kitkat(android 4.4)以前使用WebKit渲染引擎加载显示网页,在kitka ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
